跳转到内容

模板:Tabs/收纳表/styles.css

来自SS唯基
Tokur233留言 | 贡献2026年2月20日 (五) 11:51的版本
/* [[Category:CSS页面]] */
/* 沒有前綴的給叫 stgt 的 class */
/*
.stgt {
  width: auto;
}

.sitm {
  width: 35%;
  display:inline-block;
  white-space: normal;
}

.stab {
  white-space: nowrap;
  overflow:auto;
  display:block;
  flex-wrap: wrap;
}
*/

/*收纳表模版开始*/
.stgt {
    width: 95%;
    max-width:100%;
    box-sizing: border-box;
}
.stgt.hori {
    display: flex;
}
.stab {
	overflow-x:auto;
    display:  flex;
    flex-wrap:nowrap;
    overflow-y:hidden;
    padding:  1%;
    gap:      4px;
    max-width:100%;
}
.stab.hori {
    display:     inline-grid;
    height:      400px;
    overflow-y:  auto;
    width:       20%;
}
.sitm {
	flex: 0 0 auto;
	width:auto;
	min-width:10px;
	display:inline-block;
    font-weight:  700;
}
.ctab {
    margin:       0;
    padding:      1%;
    margin-left:  0;
    width:        inherit;
}
.ctab.hori {
    display:    inline-grid;
    height:     400px;
    overflow-y: auto;
    width:      60%;
}
/*收纳表模版结束*/

.tabs-container {
  width: 100%;
  margin-bottom:20px;
}

.tabs-pages {
  display: flex !important;
  list-style:none;
  background-color:#e2e9f6;
  border-radius:4px;
}

.tab:focus,
.tab:hover {
  cursor: pointer;
}

.tab {
  padding: 0.5em 1em;
  color: #244786;
  font-size:16px;
  margin:0 0 0 1em;
}

.tab:hover {
  background-color: #a4c2f8;
}

.tab.active {
  background-color: #c3d8fc;
}

.tabs-contents {
  
  width: 100%;
  height: auto;
}

.tab-c {
  display: none;
  width: 100%;
  height: auto;
}

.tab-c.active {
  display: block;
}

.inner-content {
  padding: .5em;
  column-count:3;
  border:solid #e2e9f6;
  border-radius:4px;
  border-width:0 3px 3px;
}